Subject: Re: cpsw fails to come up once in a while

From: Mugunthan V N <[email-masked]>
Date: Thu, 15 Aug 2013 16:06:19 +0530

On Thursday 15 August 2013 03:42 PM, Sebastian Andrzej Siewior wrote:
> On 08/15/2013 11:59 AM, Mugunthan V N wrote:
>> This is a unknown issue. Will arrange a setup to test this scenario and
>> fix the issue.
> Ah, cool. Once in this state I tried various things but nothing helped.
> I tried to reset the HW phy and see if this helped but it ended while I
> looking for schematics and I though maybe it is easier to ask first.
In AM335x EVM, you need to probe a wire if you need to reset phy manually.
>
> One think I noticed in __davinci_mdio_reset() is that
> data->access_time is set via usecs_to_jiffies() and then used by
> msleep(). Since msleep() expects ms and not jiffies, this is wrong.
>
Yeah, just reviewed that code and you are correct. No need to convert as
it is already in ms value.

Regards
Mugunthan V N